Bug 1314807 - sqlite: Buffer overread in fts5 caused by corrupted database
sqlite: Buffer overread in fts5 caused by corrupted database
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20160301,reported=2...
: Security
Depends On: 1314808 1314809 1314810
Blocks: 1314812
  Show dependency treegraph
 
Reported: 2016-03-04 10:05 EST by Adam Mariš
Modified: 2016-07-12 07:07 EDT (History)
9 users (show)

See Also:
Fixed In Version: sqlite 3.11.1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-02 00:18:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-03-04 10:05:38 EST
Huge buffer overread was fixed in sqlite 3.11.1, that might occur if FTS5 is used to query a corrupt database file.

Upstream patch:

https://www.sqlite.org/src/info/daef5869f4d62ebb
Comment 1 Adam Mariš 2016-03-04 10:06:29 EST
Created sqlite2 tracking bugs for this issue:

Affects: fedora-all [bug 1314809]
Affects: epel-all [bug 1314810]
Comment 2 Adam Mariš 2016-03-04 10:06:36 EST
Created sqlite tracking bugs for this issue:

Affects: fedora-all [bug 1314808]
Comment 3 Doran Moppert 2016-06-02 00:16:41 EDT
FTS5 was only added to sqlite in version 3.9.0.  RHEL sqlite packages are all
prior to this so remain unaffected.

Note You need to log in before you can comment on or make changes to this bug.